Get configuration
curl --request GET \
--url https://api.managem.co.uk/seller/delivery-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/seller/delivery-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/seller/delivery-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "default-large_letter",
"type": "LARGE_LETTER",
"classifications": [
"CARD",
"PACK"
],
"steps": [
{
"cost": 300,
"weight": 750
}
]
},
{
"id": "default-small_parcel",
"type": "SMALL_PARCEL",
"classifications": [
"CARD",
"PACK",
"BOX",
"DECK"
],
"steps": [
{
"cost": 400,
"weight": 2000
}
]
},
{
"id": "default-medium_parcel",
"type": "MEDIUM_PARCEL",
"classifications": [
"CARD",
"PACK",
"BOX",
"DECK",
"CASE"
],
"steps": [
{
"weight": 2000,
"cost": 570
},
{
"weight": 10000,
"cost": 750
},
{
"weight": 20000,
"cost": 1200
}
]
},
{
"id": "default-large_parcel",
"type": "LARGE_PARCEL",
"classifications": [
"CARD",
"PACK",
"BOX",
"DECK",
"CASE",
"MISCELLANEOUS"
],
"steps": [
{
"weight": 5000,
"cost": 1200
},
{
"weight": 10000,
"cost": 1450
},
{
"weight": 20000,
"cost": 1800
},
{
"weight": 30000,
"cost": 2400
}
]
}
]Delivery Configuration
Get configuration
Retrieve package and delivery configuration for the authenticated seller.
Use this to prefill shipping settings UIs or validate what package profiles are currently active.
Behavior:
- Reads all package configuration rows for the seller.
- Returns the normalized delivery configuration array.
- Falls back to an empty/default configuration set when no rows exist.
Access rules:
- Requires seller authentication.
GET
/
seller
/
delivery-options
Get configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I